%define module	pyrex
%define name	python-%{module}
%define version 0.9.5.1a
%define release %mkrel 1

Name: 	 	%{name}
Version: 	%{version}
Release: 	%{release}
Summary: 	Language for Writing Python Extension Modules
Source:     http://www.cosc.canterbury.ac.nz/greg.ewing/python/Pyrex/Pyrex-%{version}.tar.bz2 
#gw for the democracy player: https://develop.participatoryculture.org/trac/democracy/ticket/5645
Patch: pyrex-0.9.5.1a-remove-pyerr.patch
URL:		http://www.cosc.canterbury.ac.nz/~greg/python/Pyrex/
License:	Public Domain
Group:		Development/Python
Obsoletes:      pyrex
BuildRequires:	python-devel
BuildRequires:	python-numeric-devel
BuildRoot:	    %{_tmppath}/%{name}-%{version}

%description
Pyrex lets you write code that mixes Python and C data types any way you want,
and compiles it into a C extension for Python. 

%prep
%setup -q -n Pyrex-%{version} 
%patch -p0

%install
rm -rf %{buildroot}
python setup.py install --root=%{buildroot}
install -m 644 Tools/pyrex-mode.el -D %{buildroot}%{_datadir}/emacs/site-lisp/pyrex-mode.el

%check
cd Demos
PYTHONPATH=`pwd`/../build/lib make test clean

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc *.txt Demos Doc
%_bindir/pyrexc
%dir %py_puresitedir/Pyrex
%py_puresitedir/Pyrex/*.py*
%py_puresitedir/Pyrex/Compiler/
%py_puresitedir/Pyrex/Distutils/
%py_puresitedir/Pyrex/Mac/
%py_puresitedir/Pyrex/Plex/
%py_puresitedir/Pyrex/Unix/
%if %mdkversion > 200700
%py_puresitedir/Pyrex*.egg-info
%endif
%_datadir/emacs/site-lisp/pyrex-mode.el




%changelog
* Wed Apr 25 2007 Götz Waschk <waschk@mandriva.org> 0.9.5.1a-1mdv2008.0
+ Revision: 18216
- fix buildrequires
- new version
- drop python2.5 patch
- patch to remove a symbol for compatibility with democracy
- update file list
- enable checks

  + Mandriva <devel@mandriva.com>


* Thu Dec 14 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.9.4.1-5mdv2007.0
+ Revision: 96772
- rename package

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 0.9.4.1-4mdv2007.1
+ Revision: 88106
- Import pyrex

